Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.mycarenet._1_0.carenet.types
Class ExtCareReceiverDetailType

    java.lang.Object
      be.cin.mycarenet._1_0.carenet.types.CareReceiverDetailType
          be.cin.mycarenet._1_0.carenet.types.ExtCareReceiverDetailType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:02:09+01:00",
               comments="JAXB RI v2.2.11")
    public class ExtCareReceiverDetailType

extends CareReceiverDetailType
implements Serializable

Extension of the CareReceiverDetailType used to details the Care Receiver in the 4XXXXX messages

Java class for ExtCareReceiverDetailType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ExtCareReceiverDetailType">
       <complexContent>
         <extension base="{urn:be:cin:mycarenet:1.0:carenet:types}CareReceiverDetailType">
           <sequence>
             <element name="RegNrWithMut" type="{urn:be:cin:mycarenet:1.0:carenet:types}RegNrWithMutType" minOccurs="0"/>
             <element name="Mutuality" type="{urn:be:cin:mycarenet:1.0:carenet:types}MutualityType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ExtCareReceiverDetailType()`

Method Summary
`String` | `getMutuality()` Gets the value of the mutuality property.
`String` | `getRegNrWithMut()` Gets the value of the regNrWithMut property.
`void` | `setMutuality(String value)` Sets the value of the mutuality property.
`void` | `setRegNrWithMut(String value)` Sets the value of the regNrWithMut property.

Methods inherited from class be.cin.mycarenet._1_0.carenet.types.CareReceiverDetailType
`getBirthday, getDeceased, getFirstName, getInss, getLastName, getSex, setBirthday, setDeceased, setFirstName, setInss, setLastName, setSex`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtCareReceiverDetailType

    public ExtCareReceiverDetailType()

Method Detail

### getRegNrWithMut

    public String getRegNrWithMut()

  Gets the value of the regNrWithMut property.

  Returns:
    possible object is `String`

### setRegNrWithMut

    public void setRegNrWithMut(String value)

  Sets the value of the regNrWithMut property.

  Parameters:
    `value` - allowed object is `String`

### getMutuality

    public String getMutuality()

  Gets the value of the mutuality property.

  Returns:
    possible object is `String`

### setMutuality

    public void setMutuality(String value)

  Sets the value of the mutuality property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.